﻿///////////////////////////////////////////////////////////////////////////
//  Copyright (C) Wizardry and Steamworks 2017 - License: GNU GPLv3      //
//  Please see: http://www.gnu.org/licenses/gpl.html for legal details,  //
//  rights of fair usage, the disclaimer and warranty conditions.        //
///////////////////////////////////////////////////////////////////////////

using CookComputing.XmlRpc;

namespace wasStitchNET.XmlRpc.Methods
{
    /// <summary>
    ///     The interface for Xml RPC Stich Method.
    /// </summary>
    public interface IXmlRpcStitch : IXmlRpcProxy
    {
        [XmlRpcMethod]
        void Stitch(string service, string server, string version, string path, XmlRpcStitchOptions options);
    }
}